/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Table(name="DASHCOL")
public class DashboardColumn {

	@Id
	@GeneratedValue
	@Column(name="dashboardColId")
	protected Long mId;
	
	@ManyToOne
	@JoinColumn(name = "dashboardId")
	protected Dashboard mDashboard;
	
	@Basic
	@Column(name="dashboardColIdx")
	protected Integer mIndex;
	
	@Basic
	@Column(name="dashboardColWidth")
	protected Integer mWidth;
	
	@OneToMany(fetch = FetchType.EAGER, cascade=CascadeType.ALL, mappedBy="mDashboardColumn")
	protected Set<DashboardReport> mDashboardReports = new HashSet<DashboardReport>();

	/**
	 * @return the dashboardColumnId
	 */
	public Long getId() {
		return mId;
	}

	/**
	 * @param dashboardColumnId the dashboardColumnId to set
	 */
	public void setId(Long dashboardColumnId) {
		this.mId = dashboardColumnId;
	}

	/**
	 * @return the dashboard
	 */
	public Dashboard getDashboard() {
		return mDashboard;
	}

	/**
	 * @param dashboard the dashboard to set
	 */
	public void setDashboard(Dashboard dashboard) {
		this.mDashboard = dashboard;
	}

	/**
	 * @return the columnIndex
	 */
	public Integer getIndex() {
		return mIndex;
	}

	/**
	 * @param columnIndex the columnIndex to set
	 */
	public void setIndex(Integer columnIndex) {
		this.mIndex = columnIndex;
	}

	/**
	 * @return the dashboardReports
	 */
	public Set<DashboardReport> getDashboardReports() {
		return mDashboardReports;
	}

	/**
	 * @param dashboardReports the dashboardReports to set
	 */
	public void setDashboardReports(Set<DashboardReport> dashboardReports) {
		this.mDashboardReports = dashboardReports;
	}

	/**
	 * @return the width
	 */
	public Integer getWidth() {
		return mWidth;
	}

	/**
	 * @param width the width to set
	 */
	public void setWidth(Integer width) {
		this.mWidth = width;
	}

}
