/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Table(name="DASHPARAMBIND")
public class DashboardParamBinding {

	@Id
	@GeneratedValue
	@Column(name="paramBindId")
	protected Long mId;
	
	@ManyToOne
	@JoinColumn(name = "dashboardReportId")
	protected DashboardReport mDashboardReport;
	
	@ManyToOne
	@JoinColumn(name = "dashboardParamId")
	protected ReportParam mDashboardParam;
	
	@ManyToOne
	@JoinColumn(name = "reportParamId")
	protected ReportParam mReportParam;

	
	/**
	 * @return the dashboardParamBindingId
	 */
	public Long getId() {
		return mId;
	}

	/**
	 * @param dashboardParamBindingId the dashboardParamBindingId to set
	 */
	public void setId(Long dashboardParamBindingId) {
		this.mId = dashboardParamBindingId;
	}

	/**
	 * @return the dashboardReport
	 */
	public DashboardReport getDashboardReport() {
		return mDashboardReport;
	}

	/**
	 * @param dashboardReport the dashboardReport to set
	 */
	public void setDashboardReport(DashboardReport dashboardReport) {
		this.mDashboardReport = dashboardReport;
	}

	/**
	 * @return the dashboardParam
	 */
	public ReportParam getDashboardParam() {
		return mDashboardParam;
	}

	/**
	 * @param dashboardParam the dashboardParam to set
	 */
	public void setDashboardParam(ReportParam dashboardParam) {
		this.mDashboardParam = dashboardParam;
	}

	/**
	 * @return the reportParam
	 */
	public ReportParam getReportParam() {
		return mReportParam;
	}

	/**
	 * @param reportParam the reportParam to set
	 */
	public void setReportParam(ReportParam reportParam) {
		this.mReportParam = reportParam;
	}
}
