/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Table(name="ORG", uniqueConstraints=@UniqueConstraint(columnNames="orgCode"))
public class Organization {

	@Id
	@GeneratedValue
	@Column(name="orgId")
	protected Long mId;
	
	@Basic
	@Column(name="orgCode")
	protected String mCode;
	
	@Basic
	@Column(name="orgName")
	protected String mName;

	/**
	 * @return the orgId
	 */
	public Long getId() {
		return mId;
	}

	/**
	 * @param orgId the orgId to set
	 */
	public void setId(Long orgId) {
		this.mId = orgId;
	}

	/**
	 * @return the orgCode
	 */
	public String getCode() {
		return mCode;
	}

	/**
	 * @param orgCode the orgCode to set
	 */
	public void setCode(String orgCode) {
		this.mCode = orgCode;
	}

	/**
	 * @return the orgName
	 */
	public String getName() {
		return mName;
	}

	/**
	 * @param orgName the orgName to set
	 */
	public void setName(String orgName) {
		this.mName = orgName;
	}

}
