/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Table(name="REPORTCAT", uniqueConstraints=@UniqueConstraint(columnNames="reportCatName"))
public class ReportCategory {

	@Id
	@GeneratedValue
	@Column(name="reportCatId")
	protected Long mId;
	
	@Basic
	@Column(name="reportCatName")
	protected String mName;
	
	/**
	 * @return the reportCatId
	 */
	public Long getId() {
		return mId;
	}

	/**
	 * @param reportCatId the reportCatId to set
	 */
	public void setId(Long reportCatId) {
		this.mId = reportCatId;
	}

	/**
	 * @return the reportCatName
	 */
	public String getName() {
		return mName;
	}

	/**
	 * @param reportCatName the reportCatName to set
	 */
	public void setName(String reportCatName) {
		this.mName = reportCatName;
	}

	
}
