/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Table(name="REPORTPARCH")
public class ReportParamChooser {

	@Id
	@GeneratedValue
	@Column(name="reportParChId")
	protected Long mId;
	
	@Basic
	@Column(name="reportParChName")
	protected String mName;

	@Basic
	@Column(name="reportParChCl")
	protected String mChooserClass;
	
	@Basic
	@Column(name="reportParamChAdCl")
	protected String mChooserAdminClass;

	/**
	 * @return the reportParamChooserId
	 */
	public Long getId() {
		return mId;
	}

	/**
	 * @param reportParamChooserId the reportParamChooserId to set
	 */
	public void setId(Long reportParamChooserId) {
		this.mId = reportParamChooserId;
	}

	/**
	 * @return the reportParamChooserName
	 */
	public String getName() {
		return mName;
	}

	/**
	 * @param reportParamChooserName the reportParamChooserName to set
	 */
	public void setName(String reportParamChooserName) {
		this.mName = reportParamChooserName;
	}

	/**
	 * @return the reportParamChooserClass
	 */
	public String getChooserClass() {
		return mChooserClass;
	}

	/**
	 * @param reportParamChooserClass the reportParamChooserClass to set
	 */
	public void setChooserClass(String reportParamChooserClass) {
		this.mChooserClass = reportParamChooserClass;
	}

	/**
	 * @return the reportParamChooserAdminClass
	 */
	public String getChooserAdminClass() {
		return mChooserAdminClass;
	}

	/**
	 * @param reportParamChooserAdminClass the reportParamChooserAdminClass to set
	 */
	public void setChooserAdminClass(String reportParamChooserAdminClass) {
		this.mChooserAdminClass = reportParamChooserAdminClass;
	}

}
