/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.bo;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
@Entity
@Table(name="URLPARVAL")
public class URLParamValue {

	@Id
	@GeneratedValue
	@Column(name="urlParamValueId")
	protected Long mId;
	
	@ManyToOne
	@JoinColumn(name="hitId")
	protected Hit mHit;
	
	@ManyToOne
	@JoinColumn(name="urlParamId")
	protected URLParam mUrlParam;
	
	@Basic
	@Column(name="urlParamValue")
	protected String mValue;

	/**
	 * @return the id
	 */
	public Long getId() {
		return mId;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Long id) {
		mId = id;
	}

	/**
	 * @return the hit
	 */
	public Hit getHit() {
		return mHit;
	}

	/**
	 * @param hit the hit to set
	 */
	public void setHit(Hit hit) {
		mHit = hit;
	}

	/**
	 * @return the urlParam
	 */
	public URLParam getUrlParam() {
		return mUrlParam;
	}

	/**
	 * @param urlParam the urlParam to set
	 */
	public void setUrlParam(URLParam urlParam) {
		mUrlParam = urlParam;
	}

	/**
	 * @return the value
	 */
	public String getValue() {
		return mValue;
	}

	/**
	 * @param value the value to set
	 */
	public void setValue(String value) {
		mValue = value;
	}
}
